Create a caller-ID pool
POST
/v1/number-pools
const url = 'https://api.vocapable.com/v1/number-pools';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","rotation_strategy":"round_robin"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/number-pools \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "rotation_strategy": "round_robin" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
NumberPoolCreateRequest
object
name
required
Name
string
rotation_strategy
Rotation Strategy
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
NumberPoolSummary
object
id
required
Id
string
name
required
Name
string
rotation_strategy
required
Rotation Strategy
string
created_at
required
Created At
string format: date-time
Example
{ "rotation_strategy": "round_robin"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}